Bug 814497 - Where is openGL 3 support ?
Where is openGL 3 support ?
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-19 22:11 EDT by MERCIER Jonathan
Modified: 2012-07-11 16:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-04-26 09:53:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description MERCIER Jonathan 2012-04-19 22:11:20 EDT
I use a graphic card who support opennGL 3.1 (amd 4670HD)

but currenlty i run whith openGL  2.1 why? 

$ glxinfo|egrep -A2 "rendering|OpenGL" ; 
direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.4
OpenGL vendor string: X.Org
OpenGL renderer string: Gallium 0.4 on AMD RV730
OpenGL version string: 2.1 Mesa 8.0.2
OpenGL shading language version string: 1.20
OpenGL extensions:
    GL_ARB_multisample, GL_EXT_abgr, GL_EXT_bgra, GL_EXT_blend_color, 
    GL_EXT_blend_minmax, GL_EXT_blend_subtract, GL_EXT_copy_texture,
Comment 1 MERCIER Jonathan 2012-04-20 06:53:39 EDT
ok it seem mesa 78.0 support openGL 3 only for intel graphic card and for amd et nvidia they are some pattent issue..

You can close this bug if that is the problem
Comment 2 Arne Woerner 2012-04-25 03:45:53 EDT
i have a HD Graphics 3000 (Core i7-2600K, Sandybridge),
but my says OpenGL 2.1 too:
> glxinfo | grep OpenGL
OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel(R) Sandybridge Desktop 
OpenGL version string: 2.1 Mesa 8.0.2
OpenGL shading language version string: 1.30

did i install sth wrong?

i think it is that ARB_texture_float license thingy... but Intel should have a license for that...
Comment 3 Adam Jackson 2012-04-26 09:53:50 EDT
We're not doing anything special to Mesa's configuration here.  This is an upstream Mesa bug if it's anything.
Comment 4 jan p. springer 2012-06-04 08:31:46 EDT
well, how would i go about to find out what's wrong here?
Comment 5 jan p. springer 2012-07-11 13:23:22 EDT
i know the bug is closed. still, if anybody knows how to track down why mesa 8 on sandybridge gfx does not enable opengl 3 i would really like to hear it?
Comment 6 Arne Woerner 2012-07-11 16:35:48 EDT
it seems like intel has no license for open source related OpenGL 3...

Note You need to log in before you can comment on or make changes to this bug.